Public Member Functions | Public Attributes | List of all members
ZWrtTextInternal::State Struct Reference

Internal: the state of a ZWrtText. More...

## Public Member Functions
| State ()
| constructor More...
Section & | getSection (int id)
| return a section for an id ( if it does not exists, create id ) More...

## Public Attributes
int | m_version
| the file version More...
int | m_numPages
int | m_actualPage
std::map< int, Section > | m_idSectionMap
| a map id -> section More...
HFZone | m_header
| the header zone More...
HFZone | m_footer
| the footer zone More...

## Detailed Description

Internal: the state of a ZWrtText.

## Constructor & Destructor Documentation

## ◆ State()

ZWrtTextInternal::State::State | ( |  | ) |
| inline

constructor

## Member Function Documentation

## ◆ getSection()

Section& ZWrtTextInternal::State::getSection | ( | int | id | ) |
| inline

return a section for an id ( if it does not exists, create id )

## Member Data Documentation

## ◆ m_actualPage

int ZWrtTextInternal::State::m_actualPage

## ◆ m_footer

HFZone ZWrtTextInternal::State::m_footer

the footer zone

## ◆ m_header

HFZone ZWrtTextInternal::State::m_header

the header zone

## ◆ m_idSectionMap

std::map<int, Section> ZWrtTextInternal::State::m_idSectionMap

a map id -> section

## ◆ m_numPages

int ZWrtTextInternal::State::m_numPages

## ◆ m_version

int ZWrtTextInternal::State::m_version
| mutable

the file version

The documentation for this struct was generated from the following file:

- ZWrtText.cxx